## org.apache.mahout.common
Class ClassUtils

    java.lang.Object
      org.apache.mahout.common.ClassUtils

    public final class ClassUtils

extends Object

Method Summary

`static

`<T> T`

`

`instantiateAs(Class<? extends T> clazz, Class<T> asSubclassOfClass)`

`static

`<T> T`

`

`instantiateAs(Class<? extends T> clazz, Class<T> asSubclassOfClass, Class<?>[] params, Object[] args)`

`static

`<T> T`

`

`instantiateAs(String classname, Class<T> asSubclassOfClass)`

`static

`<T> T`

`

`instantiateAs(String classname, Class<T> asSubclassOfClass, Class<?>[] params, Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### instantiateAs

    public static <T> T instantiateAs(String classname,
                                      Class<T> asSubclassOfClass)

### instantiateAs

    public static <T> T instantiateAs(String classname,
                                      Class<T> asSubclassOfClass,
                                      Class<?>[] params,
                                      Object[] args)

### instantiateAs

    public static <T> T instantiateAs(Class<? extends T> clazz,
                                      Class<T> asSubclassOfClass,
                                      Class<?>[] params,
                                      Object[] args)

### instantiateAs

    public static <T> T instantiateAs(Class<? extends T> clazz,
                                      Class<T> asSubclassOfClass)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.